Bug 108295 - Coordinated Graphics: Remove GraphicsLayerTextureMapper dependency from CoordinatedGraphicsScene.
Summary: Coordinated Graphics: Remove GraphicsLayerTextureMapper dependency from Coord...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Noam Rosenthal
URL:
Keywords:
Depends on: 108294
Blocks: 103854
  Show dependency treegraph
 
Reported: 2013-01-29 22:17 PST by Dongseong Hwang
Modified: 2013-04-15 08:21 PDT (History)
11 users (show)

See Also:


Attachments
Patch (33.47 KB, patch)
2013-04-10 05:48 PDT, Noam Rosenthal
no flags Details | Formatted Diff | Diff
Patch (1.42 KB, patch)
2013-04-15 08:15 PDT, Early Warning System Bot
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dongseong Hwang 2013-01-29 22:17:46 PST
Currently, TextureMapperScene uses GraphicsLayerTextureMapper to store pending layer states until flush.
However, now TextureMapperScene executes all operations at the time to flush, so we don't need to use GraphicsLayerTextureMapper anymore.
Comment 1 Noam Rosenthal 2013-04-10 05:48:12 PDT
Created attachment 197250 [details]
Patch
Comment 2 WebKit Commit Bot 2013-04-15 06:22:50 PDT
Comment on attachment 197250 [details]
Patch

Clearing flags on attachment: 197250

Committed r148433: <http://trac.webkit.org/changeset/148433>
Comment 3 WebKit Commit Bot 2013-04-15 06:22:52 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Zoltan Arvai 2013-04-15 07:48:31 PDT
It seems Qt debug builds are broken after this patch:

http://build.webkit.sed.hu/builders/x86-32%20Linux%20Qt%20Debug/builds/25334
http://build.webkit.sed.hu/builders/x86-64%20Linux%20Qt%20Debug/builds/28558

/home/webkitbuildbot/slaves/debug64bit/buildslave/qt-linux-64-debug/build/Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.cpp: In member function 'void WebCore::CoordinatedGraphicsScene::setRootLayerID(WebCore::CoordinatedLayerID)':
[1;31m/home/webkitbuildbot/slaves/debug64bit/buildslave/qt-linux-64-debug/build/Source/WebCore/platform/graphics/texmap/coordinated/CoordinatedGraphicsScene.cpp:431:21: error: 'WTF::OwnPtr<WebCore::TextureMapperLayer>::ValueType' has no member named 'children'[0m


And layout test is slowed down on 32bit Qt:
http://build.webkit.org/builders/Qt%20Linux%20Release/builds/59340
http://build.webkit.sed.hu/builders/x86-32%20Linux%20Qt%20Release%20WebKit2/builds/34753
Comment 5 Early Warning System Bot 2013-04-15 08:15:31 PDT
Reopening to attach new patch.
Comment 6 Early Warning System Bot 2013-04-15 08:15:36 PDT
Created attachment 198128 [details]
Patch
Comment 7 Csaba Osztrogonác 2013-04-15 08:16:33 PDT
(In reply to comment #6)
> Created an attachment (id=198128) [details]
> Patch

Proposed buildfix.

Ooops, it wasn't the bot, but me. I should remove the EWS credentials from my git config. :)
Comment 8 Csaba Osztrogonác 2013-04-15 08:20:58 PDT
Comment on attachment 198128 [details]
Patch

Clearing flags on attachment: 198128

Committed r148437: <http://trac.webkit.org/changeset/148437>
Comment 9 Csaba Osztrogonác 2013-04-15 08:21:04 PDT
All reviewed patches have been landed.  Closing bug.